aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPaul E. McKenney <paulmck@kernel.org>2021-11-22 12:47:50 -0800
committerPaul E. McKenney <paulmck@kernel.org>2021-11-30 17:30:29 -0800
commitf61537009e3a7c5be8d30ebf61cc9f8596800d4c (patch)
treeb25cc2491bc846afc6d877b143a2354e159f422f
parenttorture: Make kvm-find-errors.sh report link-time undefined symbols (diff)
downloadlinux-dev-f61537009e3a7c5be8d30ebf61cc9f8596800d4c.tar.xz
linux-dev-f61537009e3a7c5be8d30ebf61cc9f8596800d4c.zip
torture: Retry download once before giving up
Currently, a transient network error can kill a run if it happens while downloading the tarball to one of the target systems. This commit therefore does a 60-second wait and then a retry. If further experience indicates, a more elaborate mechanism might be used later. Signed-off-by: Paul E. McKenney <paulmck@kernel.org>
-rwxr-xr-xtools/testing/selftests/rcutorture/bin/kvm-remote.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/tools/testing/selftests/rcutorture/bin/kvm-remote.sh b/tools/testing/selftests/rcutorture/bin/kvm-remote.sh
index c7d42ef80c53..67ebc56111e3 100755
--- a/tools/testing/selftests/rcutorture/bin/kvm-remote.sh
+++ b/tools/testing/selftests/rcutorture/bin/kvm-remote.sh
@@ -157,8 +157,15 @@ do
ret=$?
if test "$ret" -ne 0
then
- echo Unable to download $T/binres.tgz to system $i, giving up. | tee -a "$oldrun/remote-log"
- exit 10 | tee -a "$oldrun/remote-log"
+ echo Unable to download $T/binres.tgz to system $i, waiting and then retrying. | tee -a "$oldrun/remote-log"
+ sleep 60
+ cat $T/binres.tgz | ssh $i "cd /tmp; tar -xzf -"
+ ret=$?
+ if test "$ret" -ne 0
+ then
+ echo Unable to download $T/binres.tgz to system $i, giving up. | tee -a "$oldrun/remote-log"
+ exit 10
+ fi
fi
done